.header-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    display: flex; 
    align-items: center; 
    justify-content: space-around; 
    margin: 0 auto;
    padding: 20px 0;
    background: transparent;
    transition: .3s;
}


.header-nav.scrolled,
.header-nav.internal-page {
    background: rgba(255,255,255,0.95);
    backdrop-filter: blur(10px);
    box-shadow: 0 5px 20px rgba(0,0,0,0.1);
    padding: 15px 0; 
}

.header-nav.scrolled a,
.header-nav.internal-page a {
    color: #222 !important;
}
.header-nav.scrolled .menu a:hover,
.header-nav.internal-page .menu a:hover{
    color:#a89356 !important;
}

.header-nav.scrolled .sub-menu a:hover,
.header-nav.internal-page .sub-menu a:hover{
    color:#a89356 !important;
}

.header-nav.scrolled .header-contact a,
.header-nav.internal-page .header-contact a {
    border-color: #222;
    color: #222;
}

.header-nav.scrolled .menu-toggle,
.header-nav.internal-page .menu-toggle {
    color: #222;
}

.logo-h img{
	width:200px;
}

/* MENU */
.menu {
    display: flex;
    gap: 25px;
    list-style: none;
}

.menu > li {
    position: relative;
}

.menu a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    transition: .3s;
    padding: 20px 0;
}

.menu a:hover {
   color: #dcc171;
}

/* SUB MENU */
.sub-menu {
    position: absolute;
    top: calc(100% + 10px);
    inset-inline-start: 0;

    background: #fff;
    min-width: 250px;
    list-style: none;
    padding: 10px 0;

    border-radius: 8px;
    box-shadow: 0 5px 20px rgba(0,0,0,.1);

    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);

    transition:
        opacity .25s ease,
        transform .25s ease,
        visibility .25s ease;
}

.sub-menu li a {
    color: #222 !important; 
    display: block;
    padding: 10px 15px;
	font-size:14px;
	transition:.25s;
}

.sub-menu li a:hover{
    background:#f7f7f7;
    color:#a89356 !important;
}

/* show hover desktop */
@media (hover: hover) and (pointer: fine) {

    .menu > li:hover > .sub-menu {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

}

/* CONTACT */
.header-contact a {
    color: white;
    text-decoration: none;
    border: 2px solid white;
    padding: 10px 18px;
    border-radius: 6px;
    transition: .3s;
}
.header-contact  { transition: .3s;}
.header-contact:hover {transform: translatey(-3px)}

/* MOBILE */
.menu-toggle {
    display: none;
    color: white;
    font-size: 28px;
    cursor: pointer;
    transition: .3s;
}

.sub-toggle::after {
    content: " ▾";
    margin-inline-start: 3px;
    font-size: 18px;
}
	.menu-close{
    display:none;
}

/* MOBILE MENU */
@media (max-width: 768px) {
.header-nav,
.header-nav.internal-page,
.header-nav.scrolled {
    justify-content: space-between !important;
    padding-left: 20px !important;  
    padding-right: 20px !important; 
}

	.menu-container.active .menu-close{
    display:flex;
    justify-content:flex-end;
}

.menu-close{
    color:#d62828;
    font-size:44px;
    font-weight:700;
    cursor:pointer;
    margin-bottom:20px;
    line-height:1;
}

    .menu-toggle {
        display: block;
    }

    .menu-container {
        position: fixed;
        top: 0;
        inset-inline-start: -100%;
        width: 80%;
/*         height: 100vh;  */
        background: white;
        display: block;
        padding: 30px 50px 80px 50px;
        transition: .3s;
        box-shadow: 5px 0 15px rgba(0,0,0,0.1);
        z-index: 999;
        border-radius: 0 0 80px 0;
        border-right: 3px solid #dcc171 ;
		border-bottom: 3px solid #dcc171 ;    }

    .menu-container.active {
        left: 0;
    }

    .menu {
        flex-direction: column;
        gap: 0;
    }
	.menu > li{
    border-bottom: 1px solid #e5e5e5;
}

.menu > li:last-child{
    border-bottom: none;
}

    .menu a {
        color: #222 !important; 
        padding: 18px 0;
        display: block;
    }

    .header-contact {
        display: none;
    }

   
   /* sub menu mobile */
    .header-nav .menu-container .sub-menu {
        position: static !important;
        background: #f5f5f5 !important;
        box-shadow: none !important;
        padding: 10px 15px !important;
        width: 100% !important;
        
        display: none !important; 
        opacity: 1 !important;
        visibility: visible !important;
        transform: none !important;
        transition: none !important;
    }

    .header-nav .menu-container .has-sub.active > .sub-menu {
        display: block !important;
    }
.header-nav .menu-container .sub-menu li a {
    font-size: 16px !important;
}

.header-nav .menu-container .sub-menu li {
    margin-bottom: 8px;
}

.header-nav .menu-container .sub-menu li:last-child {
    margin-bottom: 0;
}

}